<div id="menu">
<?php
require_once 'Horde/Menu.php';
$menu = &new Menu(HORDE_MENU_MASK_ALL & ~HORDE_MENU_MASK_PREFS);
echo $menu->render();
?>
</div>
<br />
<?php $notification->notify(array('listeners' => 'status')) ?>

<table class="control" width="100%" cellspacing="0">
<tr>
  <td class="header" colspan="2"><?php echo _("My Account Information") ?></td>
</tr>
<tr>
  <td width="25%"><?php echo _("Login"); ?></td>
  <td width="75%"><?php echo $mydriver->getUsername(); ?></td>
</tr>

<?php if ($fullname = $mydriver->getFullname()): ?>
<tr>
  <td><?php echo _("Full Name"); ?></td>
  <td><?php echo $fullname; ?></td>
</tr>
<?php endif; ?>

<?php if ($home = $mydriver->getHome()): ?>
<tr>
  <td><?php echo _("Home Directory"); ?></td>
  <td><?php echo $home; ?></td>
</tr>
<?php endif; ?>

<?php if ($shell = $mydriver->getShell()): ?>
<tr>
  <td><?php echo _("Default Shell"); ?></td>
  <td><?php echo $shell; ?></td>
</tr>
<?php endif; ?>

<?php if ($quota = $mydriver->getQuota()): ?>
<tr>
  <td><?php echo _("Quota"); ?></td>
  <td><?php echo sprintf(_("%.2fMB used of %.2fMB allowed (%.2f%%)"),
            $quota['used'] / ( 1024 * 1024.0),
            $quota['limit'] / ( 1024 * 1024.0),
            ($quota['used'] * 100.0) / $quota['limit']); ?></td>
</tr>
<?php endif; ?>

<?php if ($lastchange = $mydriver->getPasswordChange()): ?>
<tr>
  <td><?php echo _("Last Password Change"); ?></td>
  <td><?php echo $lastchange; ?></td>
</tr>
<?php endif; ?>
</table>
<br />

<?php
if ($registry->get('status', 'forwards') != 'inactive') {
    if ($registry->hasMethod('summary', 'forwards')) {
        $summary = $registry->callByPackage('forwards', 'summary');
        if (!is_a($summary, 'PEAR_Error')) {
            echo $summary;
        }
    }
    echo '<br />';
}

if ($registry->get('status', 'vacation') != 'inactive') {
    if ($registry->hasMethod('summary', 'vacation')) {
        $summary = $registry->callByPackage('vacation', 'summary');
        if (!is_a($summary, 'PEAR_Error')) {
            echo $summary;
        }
    }
}
